import type { List } from "lodash";
/**
 * Removes the first occurrence of an element from an array.
 * If the element does not exist in the array nothing is done.
 *
 * Note that the input array is being mutated.
 *
 * @since 2.8.0
 * @category Array
 * @param array Array to modify.
 * @param value The value to remove.
 * @returns The mutated array.
 * @example
 * const a = ["foo", "bar", "fizz", "bar"];
 * removeItem(a, "bar")
 * // => ["foo", "fizz", "bar"]
 *
 * const b = ["foo", "bar", "fizz", "bar"];
 * removeItem(b, "bazz")
 * // => ["foo", "bar", "fizz", "bar"]
 */
declare const pullFirst: <TValue>(array: List<TValue>, value: TValue) => List<TValue>;
export { pullFirst };
//# sourceMappingURL=pullFirst.d.ts.map