"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.step = void 0;
const lodash_1 = require("lodash");
/**
 * Returns a new array with every n-th item from the input array.
 *
 * @since 1.0.0
 * @category Array
 * @param array Array to use.
 * @param stepSize Step to use.
 * @returns Stepped collection.
 * @example
 * step([1, 2, 3, 4, 5, 6], 2)
 * // => [1, 3, 5]
 */
const step = (array, stepSize) => lodash_1.filter(array, (_value, index) => index % stepSize === 0);
exports.step = step;
//# sourceMappingURL=step.js.map