"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pascalCase = void 0;
const lodash_1 = require("lodash");
/**
 * Creates a PascalCase string from a string.
 *
 * @since 6.2.0
 * @category String
 * @param string String to use.
 * @returns PascalCase string of the input string.
 * @example
 * pascalCase("fooBar")
 * // => "FooBar"
 *
 * pascalCase("fizz-buzz_bazz")
 * // => "FizzBuzzBazz"
 */
const pascalCase = (string) => lodash_1.upperFirst(lodash_1.camelCase(string));
exports.pascalCase = pascalCase;
//# sourceMappingURL=pascalCase.js.map