"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeStart = void 0;
/**
 * Removes a value from the start of a string. If the string does not start with the value, nothing is done.
 *
 * @since 13.0.0
 * @category String
 * @param string String to check.
 * @param removeValue Value to remove.
 * @returns String with the value removed from the start.
 * @example
 * removeStart("FooBar", "Foo")
 * // => "Bar"
 *
 * removeStart("FooBar", "Bar")
 * // => "FooBar"
 *
 * removeStart("FooBar", "Buzz")
 * // => "FooBar"
 */
const removeStart = (string, removeValue) => {
    if (!string.startsWith(removeValue)) {
        return string;
    }
    return string.substring(removeValue.length);
};
exports.removeStart = removeStart;
//# sourceMappingURL=removeStart.js.map